﻿using Syncfusion.DocIO.DLS;
using Syncfusion.UI.Xaml.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Storage;
using Windows.UI.Xaml.Data;

namespace WinRTSample
{
    internal class ByteArrayToDocx : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is byte[])
            {
                byte[] docxBytes = value as byte[];
                Stream stream = new MemoryStream();
                stream.Write(docxBytes, 0, docxBytes.Length);
                SfRichTextBoxAdv richTextBox = new SfRichTextBoxAdv();
                richTextBox.Load(stream, FormatType.Docx);
                return richTextBox.Document;
            }
            DocumentAdv document = new DocumentAdv();
            document.Sections.Add(new SectionAdv());
            document.Sections[0].Blocks.Add(new ParagraphAdv());
            return document;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return value;
        }
    }
}
